# Asterisk Project : Asterisk 12 Function_CHECKSIPDOMAIN

Added by wikibot , edited by wikibot on Aug 29, 2013

# CHECKSIPDOMAIN()

### Synopsis

Checks if domain is a local domain.

### Description

This function checks if the domain in the argument is configured as a local SIP domain that this Asterisk server is configured to handle. Returns the domain name if it is locally handled, otherwise an empty string. Check the `domain=` configuration in `sip.conf`.

### Syntax

    CHECKSIPDOMAIN(domain)

##### Arguments

- `domain`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown